<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">
<style type="text/css">
    .ui-paginator a {
        margin-right: 5px;
    }
</style>
 
        <h:form id="jsfexample"> 
        <h:outputText 
            value="Reporte -> Información de Transportistas / Transportes" 
            style="font-weight: bold"/>
        <p:dataTable value="#{dataExporterView.transportista}" var="tr" id="mydata"
                paginator="true"
                rows="10"
                style="display:inline;float:left;width:98%;"
                emptyMessage="No se encontraron Transportitas"
                paginatorPosition="bottom">
            <f:facet name="header">
                Puede ver los transportes por transportistas
            </f:facet>
            <p:column style="width:16px">
                <p:rowToggler />
            </p:column>
            <p:column headerText="ID">
                <h:outputText value="#{tr.id}" />
            </p:column>
            <p:column headerText="NOMBRE">
                <h:outputText value="#{tr.nombre}" />
            </p:column>
            <p:column headerText="PLACAS">
                <h:outputText value="#{tr.placas}" />
            </p:column>
            <p:column headerText="NUMERO EC">
                <h:outputText value="#{tr.numero_economico}" />
            </p:column>
            <p:column headerText="NUMERO">
                <h:outputText value="#{tr.numero}" />
            </p:column>
            <p:column headerText="ESTATUS">
                <h:outputText value="#{tr.activos}" />
            </p:column>
            <p:rowExpansion>
                <p:panelGrid  columns="8" columnClasses="label,value" style="width:95%px">
                    <p:dataTable value="#{dataExporterView.getTransportes(tr.id)}" var="item" id="mydata"
                            paginator="true"
                            rows="10"
                            style="display:inline;float:left;width:98%;"
                            emptyMessage="No se encontraron Transportes"
                            paginatorPosition="bottom">
                        <p:column>
                            <f:facet name="header">ID</f:facet>
                            <h:outputText value="#{item.id}" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">TERMO</f:facet>
                            <h:outputText value="#{item.numerotermo}" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">SELLO</f:facet>
                            <h:outputText value="#{item.numerosello}" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">LECT_TEMP</f:facet>
                            <h:outputText value="#{item.lector_temp}" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">LOTE</f:facet>
                            <h:outputText value="#{item.lote}" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">FECHA</f:facet>
                            <h:outputText value="#{item.fecha}" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">NUMERO</f:facet>
                            <h:outputText value="#{item.numero}" />
                        </p:column>
                        <p:column>
                            <f:facet name="header">ESTATUS</f:facet>
                            <h:outputText value="#{item.activos}" />
                        </p:column>
                    </p:dataTable>
                </p:panelGrid>
            </p:rowExpansion>
        </p:dataTable>
        
        <br/>
        <p:panel header="Exportar Datos">
            <h:commandLink> 
                <p:graphicImage value="../../../resources/images/excel.png" />
                <p:dataExporter type="xls" postProcessor="#{manager.postProcessXLS}"
                    target="mydata" fileName="myexcel" />
            </h:commandLink>
            <h:commandLink>
                <p:graphicImage value="../../../resources/images/pdf.png" />
                <p:dataExporter type="pdf" target="mydata" fileName="mypdf" />
            </h:commandLink>
        </p:panel>
 
    </h:form>
    </ui:define>  
</ui:composition>   
